/*****************************************************************************
	     This file ("main.h") is a part of the webchat project.
This program is released, distributed and run in the terms of the 
General Public License

Copyright(c) 1999 Paul Fleischer
******************************************************************************/

#ifndef MAIN_H
#define MAIN_H

#include <config.h>
#include <cgi.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <crypt.h>
#include <time.h>

//Constants used by the script
#define USERFILE "webchat.users" //User file has to read/write by the script
#define DATADIR  "webchat.data"  //Directory which has to be read/write by the script
#define ROOMDIR  "webchat.data/rooms" //Directory which has to be read/write by the script
#define ROOMLIST "webchat.list" //Room list, has to readable by the script
#define NUMLINES 50 //Max. number of lines in the message file, and on screen

//Internal function definitions, see main.cpp for description of each function
void loginScreen(void);
void regNewUserForm(void);
void regNewUser(char *contentString);
bool addUser(char *username, char *email, char *password);
bool checkUser(char *username);
void login(char *contentString);
bool checkUserPass(bool crypted, char *username, char *password, char *retPass);
void showMessages(char *queryString);
void readLine(FILE *file, char *output);
void sendMessages(char *queryString); //, char *contentString);
void cleanUsers(char *roomname);
void logout(char *username);
void putMessage(char *room, char *message);
void xlate(char *message);

#endif
